Skip to main content
GET
The stock ledger. Every balance in the product is a sum of these rows.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
part_id
string
part_number
string
part_name
string
unit_of_measure
string
warehouse_id
string
warehouse_code
string
transaction_type
string
quantity
string
unit_cost
string
total_cost
string
reason_code
string
notes
string
occurred_at
string
source_type
string
asset_id
string
asset_number
string
work_order_id
string
work_order_number
string
worker_id
string
worker_name
string
reverses_transaction_id
string
created_at
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

asset_id
string<uuid>

Note: This is a Foreign Key to asset_contracts.asset_id.

asset_number
string<character varying>
Maximum string length: 80
created_at
string<timestamp with time zone>
id
string<uuid>

Note: This is a Primary Key.

notes
string<text>
occurred_at
string<timestamp with time zone>
part_id
string<uuid>

Note: This is a Foreign Key to inventory_available.part_id.

part_name
string<character varying>
Maximum string length: 250
part_number
string<character varying>
Maximum string length: 80
quantity
number<numeric>
reason_code
string<character varying>
Maximum string length: 60
reverses_transaction_id
string<uuid>

Note: This is a Foreign Key to inventory_transactions.id.

source_type
string<character varying>
Maximum string length: 40
total_cost
number<numeric>
transaction_type
string<character varying>
Maximum string length: 30
unit_cost
number<numeric>
unit_of_measure
string<character varying>
Maximum string length: 30
warehouse_code
string<character varying>
Maximum string length: 60
warehouse_id
string<uuid>

Note: This is a Foreign Key to warehouse_settings.id.

work_order_id
string<uuid>

Note: This is a Foreign Key to inspection_failures.found_in_work_order_id.

work_order_number
string<character varying>
Maximum string length: 60
worker_id
string<uuid>

Note: This is a Foreign Key to technician_workload.worker_id.

worker_name
string<character varying>
Maximum string length: 200